%define pypi_name myst-nb

Name:		python-%{pypi_name}
Version:	0.16.0
Release:	%mkrel 3
Summary:	A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/myst-nb/
Source0:	https://pypi.python.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(flit-core)

%description
A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser

%package -n python3-%{pypi_name}
Summary:	A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-myst_nb}
%{?py_provides:%py_provides python3-myst_nb}
Obsoletes:      python3-myst_nb < 0.16.0-2

%description -n python3-%{pypi_name}
A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files myst_nb

%files -n python3-%{pypi_name} -f %{pyproject_files}
%_bindir/mystnb-*


%changelog
* Tue Dec 19 2023 papoteur <papoteur> 0.16.0-3.mga10
+ Revision: 2019184
- Mass Rebuild - Python 3.12

* Sun Sep 11 2022 wally <wally> 0.16.0-2.mga9
+ Revision: 1887140
- obsolete duplicate pkg python3-myst_nb

* Thu Sep 08 2022 neoclust <neoclust> 0.16.0-1.mga9
+ Revision: 1885638
- imported package python-myst-nb

